 <%-- 
%(C) COPYRIGHT International Business Machines Corp. 2012, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 --%>
<%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="com.rivermine.config.property.system.SuiteApplicationDefinition" %>
<%@ page import="com.rivermine.util.StringUtil" %>
<%!
public static Cookie getCookieByName(String cookieName, Cookie[] cookies)
{
    Cookie result = null;
    if (cookies != null)
    {
        for (Cookie cookie : cookies)
        {
            //System.out.println("Processing cookie: " + cookie.getName());
            if (cookie.getName().equals(cookieName))
            {
                //System.out.println("Found cookie with name: " + cookieName);
                result = cookie;
                break;
            }
        }
    }
    return result;
}
public static void cleanCookie(HttpServletResponse response, Cookie cookie, String path)
{
    Cookie clone = new Cookie(cookie.getName(), "");
    clone.setHttpOnly(true);
    clone.setPath(path);
    clone.setMaxAge(0);
    response.addCookie(clone);
}
public static String getHomePage(String landingApp) {
    if ("PGM".equals(landingApp))
    {
        return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/pgm";
    }
    else if ("NONE".equals(landingApp))
    {
        return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/vsm?actionName=EditOptionsAction";    
    }
    return SuiteApplicationDefinition.SSM_CONTEXT_ROOT + "/vsm";    
}
%>
<%
String landingApp = null;
Cookie landingAppCookie = getCookieByName("landingApp", request.getCookies());
if (landingAppCookie != null)
{
    landingApp = landingAppCookie.getValue();
    cleanCookie(response, landingAppCookie, request.getContextPath());
}
String targetUrl = null;
Cookie targetUrlCookie = getCookieByName("targetUrl", request.getCookies());
if (targetUrlCookie != null)
{
    targetUrl = targetUrlCookie.getValue();
    if (StringUtil.isEmptyString(targetUrl) || !targetUrl.startsWith(SuiteApplicationDefinition.SSM_CONTEXT_ROOT))
    {
        targetUrl = null;
    }
    cleanCookie(response, targetUrlCookie, request.getContextPath());
}
if (StringUtil.isEmptyString(targetUrl))
{
    targetUrl = getHomePage(landingApp);  
}
//System.err.println("SSO_LANDING ====================targetUrl: " + targetUrl);
response.sendRedirect(targetUrl);
%>
