 <%-- 
%(C) COPYRIGHT International Business Machines Corp. 2012, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 --%>
<%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"%>
<%!
static String[] S_LANG = new String[] { "en_US", "es_ES", "it_IT", "fr_FR", "de_DE", "pt_BR", "ja_JP", "zh_CN", "zh_TW" };
String[] S_PROMPT = new String[] {
    "Please enter your information",
    "Escriba su información",
    "Immettere le informazioni personali",
    "Veuillez entrer vos informations",
    "Bitte geben Sie Ihre Informationen ein",
    "Insira a sua informação",
    "ユーザー情報を入力してください",
    "请输入您的信息",
    "請輸入您的資訊"
};
String[] S_NAME = new String[] {
    "Name",
    "Nombre",
    "Nome",
    "Nom",
    "Name",
    "Nome",
    "名前",
    "名称",
    "名稱"
};
String[] S_PASSWORD = new String[] {
    "Password",
    "Contrasena",
    "Password",
    "Mot de passe",
    "Kennwort",
    "Senha",
    "パスワード",
    "密码",
    "密碼"
};
String[] S_FORGOT_USERNAME = new String[] {
    "Forgot Username?",
    "¿Olvidó su nombre de usuario?",
    "Nome utente dimenticato?",
    "Nom d´utilisateur oublié?",
    "Benutzername vergessen?",
    "Esqueceu o seu nome?",
    "ユーザー名をお忘れですか？",
    "忘记用户名？",
    "忘記使用者名稱？"
};
String[] S_FORGOT_PASSWORD = new String[] {
    "Forgot Password?",
    "¿Olvidó su Contrasena?",
    "Password dimenticata?",
    "Mot de passe oublié ?",
    "Kennwort vergessen?",
    "Esqueceu o sua senha?",
    "パスワードをお忘れですか？",
    "忘记密码？",
    "忘記密碼？"
};
String[] S_PLEASE_NOTE = new String[] {
    "Please note, after some time of inactivity,"
    + "the system will sign you out automatically and ask you to sign in again.",
    "Tenga en cuenta que después de algún tiempo de inactividad,"
    + "el sistema cerrará la sesión automáticamente y le pedirá que ingrese su información de nuevo.",
    "Notare che dopo qualche tempo di inattività,"
    + "il sistema disconnette la sessione corrente e richiede di effettuare un accesso fresco.",
    "Veuillez noterqu´après un certain temps d´inactivité,"
    + "le système vous déconnectera automatiquement et vous demandera de vous connecter à nouveau.",
    "Beachten Sie bitte, dass nach einer gewissen Zeit der Inaktivität,"
    + "werden Sie vom System automatisch abgemeldet und gebeten sich erneut anzumelden.",
    "Obervação, depois de algum tempo de inatividade,"
    + "o sistema automaticamente se desconectará e pedirá para você acessá-lo novamente.",
    "注：非アクティブのまま数分たった場合、"
    + "システムは自動的にサインアウトされ、サインインするようにポップアップメッセージを表示されます。",
    "请注意，如果一段时间内处于无活动状态，"
    + "系统会自动将您注销，并请求您再次登录。",
    "請注意：在一段時間非使用狀態後，"
    + "系統將自動登出並要求您再登入。"
};
String[] S_LOGIN = new String[] {
    "Log in",
    "Iniciar sesión",
    "Accedi",
    "Se connecter",
    "Anmelden",
    "Entrar",
    "ログイン",
    "登录",
    "登入"
};
String[] S_ERROR = new String[] {
    "Invalid User ID or Password",
    "ID de usuario o contraseña no válidos",
    "Non valido ID utente o password",
    "ID utilisateur ou mot de passe invalide",
    "Ungültige Benutzer-ID oder Passwort",
    "Inválido ID de usuário ou senha",
    "無効なユーザーIDまたはパスワード",
    "无效用户名或密码",
    "無效用戶名或密碼"
};
String[] S_REGISTER = new String[] {
    "Register Supplier Organization",
    "Registrar organización proveedora",
    "Registrare l'organizzazione di fornitore",
    "Enregister l'organisation fournisseur",
    "Die Organisation des Lieferants eintragen",
    "Registrar a organização fornecedora",
    "サプライヤ組織を登録するn",
    "注册供应商组织",
    "註冊供應商組織"
};
String[] S_COPYRIGHT = new String[] {
    "Licensed Materials - Property of IBM Corp, IBM Corporation and other(s) 2012."
    + "IBM is a registered trademark of IBM Corporation, in the United States, other countries, or both.",
    "Materiales bajo licencia - Propiedad de IBM Corp., IBM Corporation y otros 2012."
    + "IBM es una marca registrada de IBM Corporation en los Estados Unidos, otros países o ambos.",
    "Materiali concessi in licenza - Proprietà di IBM Corp, IBM Corporation e altri 2011."
    + "IBM è un marchio registrato di IBM Corporation, negli Stati uniti, altri paesi, o tutti e due.",
    "Eléments sous licence - Propriété d´IBM Corp, IBM Corporation et autre(s) 2012."
    + "IBM est une marque déposée d´IBM Corporation aux États-Unis, dans d´autres pays, ou les deux.",
    "Lizenzmaterial - Eigentum von IBM Corp, IBM Corporation und andere(n) 2012.  IBM ist ein"
    + "eingetragenes Warenzeichen von IBM Corporation in den Vereinigten Staaten, anderen Ländern oder beides.",
    "Materiais licenciados - Propriedade da IBM Corp, IBM corporation and outras 2012."
    + "A IBM é uma marca registrada da IBM Corporation nos Estados Unidos e em outros países, ou em ambos.",
    "免許 - IBM Corp、IBM Corporation と他2012のものです。"
    + "IBMはアメリカ、他国あるいは両方にあるIBM Corporation の登録商標です。",
    "授权材料 - 资产属于 IBM Corp，IBM Corporation 及其他 2012。"
    + "IBM 是 IBM Corporation 在美国和/或其他国家/地区的注册商标。",
    "授權工具－ IBM Corp、 IBM Corporation 及其他 2012 屬性。"
    + "IBM 已在美國和其他國家註冊 IBM Corporation商標。",
};
public static Cookie getCookieByName(String cookieName, Cookie[] cookies) {
    Cookie result = null;
    if (cookies != null) {
        for (Cookie cookie : cookies) {
            //System.out.println("Processing cookie: " + cookie.getName());
            if (cookie.getName().equals(cookieName)) {
                //System.out.println("Found cookie with name: " + cookieName);
                result = cookie;
                break;
            }
        }
    }
    return result;
}
public static int getLangIdx(String lang) {
    int langIdx = -1;
    if (lang != null) {
        // first check for exact match
        for (int i = 0; i < S_LANG.length; i++) {
            if (S_LANG[i].equals(lang)) {
                langIdx = i;
                break;
            }
        }
        if (langIdx == -1) {
            // failing that, check without variant
            for (int i = 0; i < S_LANG.length; i++) {
                if (lang.startsWith(S_LANG[i])) {
                    langIdx = i;
                    break;
                }
            }
        }
        if (langIdx == -1 && lang.length() >= 2) {
            // failing that, check without country
            String code = lang.substring(0, 2);
            for (int i = 0; i < S_LANG.length; i++) {
                if (S_LANG[i].startsWith(code)) {
                    langIdx = i;
                    break;
                }
            }
        }
    }
    return langIdx;
}
%>
<%
String lang = request.getParameter("language");
int langIdx = getLangIdx(lang);
if (langIdx == -1) {
    Cookie languageCookie = getCookieByName("language", request.getCookies());
    if (languageCookie != null) {
        lang = languageCookie.getValue();
        langIdx = getLangIdx(lang);
    }
}
if (langIdx == -1) {
    langIdx = 0;    // default to English
}
lang = S_LANG[langIdx];
response.setHeader("Pragma", "no-cache");
response.setHeader("Cache-Control", "private, no-cache, no-store");
response.setDateHeader("Expires", 0);

Cookie langCookie = new Cookie("language", lang);
//langCookie.setHttpOnly(true);
langCookie.setPath(request.getContextPath() + "/");
response.addCookie(langCookie);
%>
<HTML>
<HEAD>
<TITLE>IBM Emptoris Strategic Supply Management</TITLE>
<LINK REL="stylesheet" HREF='oneui/oneui.css'>
<META HTTP-EQUIV="Cache-Control" CONTENT="private, no-cache, no-store">
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<SCRIPT>
function init() {
    if (document.all) { // IE only
        var button = document.getElementById("dijit_form_Button_0").parentElement.parentElement;
        button.style.backgroundColor="#f4f4f4";
        button.style.padding="3px 10px 5px";
        button.style.border="1px solid #c3c3c3";
        button.style.boxShadow="0px 1px 0px rgba(0, 0, 0, 0.1)";
        document.getElementById("ibmLogoBox").style.paddingBottom="6px";
        document.getElementById("idxLoginBox").style.width=560;
        document.getElementById("ibmCopyright").style.fontSize="12px";
        document.getElementById("languagesContainer").style.fontSize="11px";
    }
}
function checkSubmit(e) {
    if (e && e.keyCode == 13) {
        document.forms[0].submit();
    }
}
function sharpen(div) {
    div.style.opacity=1.0;
    div.style.filter="alpha(opacity=100)";
}
function dim(div) {
    div.style.opacity=0.6;
    div.style.filter="alpha(opacity=60)";
}
</SCRIPT>
</HEAD>

<BODY class="oneui" onload="init()"
    style="width:100%; height:100%; margin:0pt; padding:0pt; text-align:center; overflow:auto;">

    <FORM NAME="login" METHOD="POST" ACTION="j_security_check" autocomplete="off">

        <div onKeyPress="return checkSubmit(event)"/>

        <div widgetid="header" id="header" class="headerContainer" style="text-align:left;">
            <div
                class="navThick secondLevelBlue secondLevelBlueSingleRow secondLevelSingleRow widthLiquid"
                dojoattachpoint="_mainContainerNode">
                <div class="nav">
                    <div class="navInner">
                        <ul>
                            <li><a href="#"><div class="productName">IBM<sup>®</sup>
                                Emptoris<sup>®</sup> Strategic Supply Management</div></a></li>
                            <li class="right end"><a href="javascript:"><div id="ibmLogoBox"
                                class="logoBox"><div class="ibmLogo" alt="IBM®"></div></div></a></li>
                        </ul>
                    </div>
                </div>
                <div class="blueLip"
                    style="filter:progid:DXImageTransform.Microsoft.gradient(startColorStr=#1a96c6, endColorStr=#0075a3)">
                    <!-- IE sets the height of an empty div to 15px (with this comment it is 4px) -->
                </div>
            </div>
        </div>

        <div widgetid="idx_app_LoginFrame_0" id="idx_app_LoginFrame_0"
            class="LoginFrame idxLoginFrame" lang="en">

            <div class="idxLoginBoxWithShadow" cellpadding="0" cellspacing="0" border="0">
                <div class="idxLoginBox" id="idxLoginBox"
                    style="margin-top:30px; margin-bottom:auto; margin-left:auto; margin-right:auto;">

                    <div class="idxLoginBoxInner" style="text-align:left; padding=0; margin=0;">

                        <div class="idxLoginTitle">
                            <img src="oneui/ibmLogo.png" width="80" height="30" style="margin-bottom:20px;">
                        </div>

                        <div class="idxLoginTitle">IBM<sup>®</sup>
                            Emptoris<sup>®</sup> Strategic Supply Management
                        </div>

                        <div>
                            <div class="idxLoginSubTitle"><%= S_PROMPT[langIdx] %></div>

                            <div class="idxFieldLabel">
                                <span class="textarea"><%= S_NAME[langIdx] %></span><span
                                    class="idxLoginSeparator">:<span
                                    style="color:red; font-size:16px">*</span></span>
                            </div>
                            <div class="dijitReset dijitInputField dijitInputContainer">
                                <INPUT type="TEXT" autocomplete="off" MAXLENGTH="256" SIZE="20"
                                    name="j_username" TABINDEX="1" style="width:150px">
                            </div>
                        </div>

                        <div class="idxFieldLabel">
                            <span class="textarea"><%= S_PASSWORD[langIdx] %></span><span
                                class="idxLoginSeparator">:<span
                                style="color:red; font-size:16px">*</span></span>
                        </div>
                        <div class="dijitReset dijitInputField dijitInputContainer">
                            <INPUT type="PASSWORD" autocomplete="off" MAXLENGTH="32"
                                SIZE="20" name="j_password" TABINDEX="2" style="width:150px">
                        </div>
                    </div>
                    <div dojoattachpoint="containerNode"></div>
                    <div style="margin-top:20px; text-align:left;">
                        <a href="security?language=<%= lang %>&target=forgotUsername"
                            TABINDEX="3"><%= S_FORGOT_USERNAME[langIdx] %></a>
                        &nbsp;|&nbsp;
                        <a href="security?language=<%= lang %>&target=forgotPassword"
                            TABINDEX="4"><%= S_FORGOT_PASSWORD[langIdx] %></a>
                    </div>
                    <div dojoattachpoint="inactivityMessageNode" style="text-align:left;"
                        class="idxInactivityMessage"><%= S_PLEASE_NOTE[langIdx] %></div>

                    <div style="margin-top:20px; text-align:left;">
                        <!-- The IE alpha filter does not work unless the width is also specified -->
                        <span class="dijit dijitReset dijitInline dijitButton dijitButtonHover dijitHover"
                            style="cursor:default; width:40px; opacity:0.6; filter:alpha(opacity=60)"
                            onmouseover="sharpen(this)" onmouseout="dim(this)"
                            role="button" lang="en"><span class="dijitReset dijitInline dijitButtonNode"
                            role="button" TABINDEX="5"><span style="-moz-user-select:none; white-space:nowrap"
                                id="dijit_form_Button_0" tabindex="0"
                                class="dijitReset dijitStretch dijitButtonContents"
                                onClick = "document.forms[0].submit()"
                                data-dojo-attach-point="titleNode,focusNode" role="button"
                                aria-labelledby="dijit_form_Button_0_label"><%= S_LOGIN[langIdx] %></span></span></span>
                    </div>

                <%  if ("true".equals(request.getParameter("error"))) { //unspecified :-) %>
                    <div style="margin-top:20px; text-align:left;">
                        <strong><font color="red"><%= S_ERROR[langIdx] %></font></strong>
                    </div>
                <%  } %>

                <%  String slmWebUrl = System.getProperty("slm.web.url");
                    String espWebUrl = System.getProperty("esp.web.url");
                    if (slmWebUrl != null) {
                        String regnPath = "/supplierReg/auth/?wicket:interface=:0::IUrlProcessingListener::";
                        String slmurl =  slmWebUrl.concat(regnPath); %>
                    <div style="margin-top:20px; text-align:left;">
                        <a href="<%= slmurl %>" TABINDEX="6"><%= S_REGISTER[langIdx] %></a>
                    </div>
                <%  } %>

                    <div id="ibmCopyright" dojoattachpoint="copyrightNode" class="idxLoginCopyright"
                        style="font-size:9pt; text-align:left;"><%= S_COPYRIGHT[langIdx] %></div>

                <%  if (slmWebUrl != null || espWebUrl != null) { %>
                    <div dojoattachpoint="copyrightNode" class="idxLoginCopyright" style="text-align:left;">
                        Pat. <a class="languagelist" href="http://www.ibm.com/software/commerce/emptoris/patents/"
                        TABINDEX="7">www.ibm.com/software/commerce/emptoris/patents/</a>
                    </div>
                <%  } %>

                    <div id="LanguagesContainer"
                        style="font-family:serif; font-size:9pt; margin-top:20px; text-align:left;">
                        <a class="languagelist" href="#" TABINDEX="8"
                            onClick="window.location.href='sso_login.jsp?language=en_US';return false;">English</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="9"
                            onClick="window.location.href='sso_login.jsp?language=es_ES';return false;">Español</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="10"
                            onClick="window.location.href='sso_login.jsp?language=it_IT';return false;">Italiano</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="11"
                            onClick="window.location.href='sso_login.jsp?language=fr_FR';return false;">Français</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="12"
                            onClick="window.location.href='sso_login.jsp?language=de_DE';return false;">Deutsch</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="13"
                            onClick="window.location.href='sso_login.jsp?language=pt_BR';return false;">Português</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="14"
                            onClick="window.location.href='sso_login.jsp?language=ja_JP';return false;">日本語</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="15"
                            onClick="window.location.href='sso_login.jsp?language=zh_CN';return false;">简体中文</a>
                        <span class="pipe"> | </span>
                        <a class="languagelist" href="#" TABINDEX="16"
                            onClick="window.location.href='sso_login.jsp?language=zh_TW';return false;">簡體中文</a>
                    </div>
                </div>
            </div>
        </div>
    </FORM>
</BODY>
</HTML>
